{% extends 'paquetesApp/base.html' %}

{% block content %}

<div id="result" class="column is-9">
        {% for paquete in paquetes %}
        <div class="block"> 
           <div class="card">
                <div class="card-content">
                    <div class="media">
                        <div class= "media-left">
                            <p class="title is-4 has-text-centered">{{ paquete.codigo }}</p>
                           
                        </div>
                        <div class="media-content">                        
                            {% comment %} <p class="subtitle is-5"> {{paquete.office.nombre}}-{{ paquete.office.ciudad }}</p> {% endcomment %}
                            <p class="subtitle is-5"> {{paquete.office.nombre}}-{{ paquete.office.ciudad }}</p>
                            <p class="subtitle is-5"> {{paquete.get_estado_display}} </p>                        
                            <p class="title is-5"> {{paquete.peso}} lb</p>
                            <p><div class="field is-grouped">
                                <div class="control">
                                    <a
                                    href="{% url 'paquetesApp:liquidar' paquete.id %}"
                                    ><button class="button is-link">Liquidar</button><a>
                                </div>
                                <div class="control">
                                  <button class="button is-link is-light">Devolucion</button>
                                </div>
                            </div>
                            </p>
             

                              
                                
                                {% comment %} <a> Devolucion </a> {% endcomment %}
                       
                            
                        </div>
                    </div>
                </div>

            </div> 
        </div>
        {% endfor %}

        {% comment %} <table class="table is-hoverable is-fullwidth">
            <thead>
                <tr>
                    <th>Ciudad</th>
                    <th>Nombre</th>
                    <th>Eliminar</th>
                </tr>
            </thead>
            {% for oficina in oficinas %}
            <tr>
                <td>
                    {{oficina.ciudad}}-{{ oficina.estado }}
                </td>
                <td>
                    {{ oficina.nombre }}
                </td>
                <td>
                    Eliminar oficina.
                </td>
            </tr>
            {% endfor %}
        </table>    {% endcomment %}
</div>
<div class="column is-22"  >
    {% comment %} <div class="section" > {% endcomment %}
    <aside class= "menu">
        <div class="block">
            <h2 class="title is-3">Agregar Paquete</p>  
        </div>
        <div class="block">
            <form method="post">
                {% csrf_token %}
                {{form.non_field_errors}}
                {% comment %} CODIGO {% endcomment %}
                <div class="field is-horizontal px-4">
                 
                    <div class="field-body px-4">
                        <div class="field px-4">
                            {{form.codigo}} 
                        </div>
                    </div>
                </div>    
                {% comment %} Oficina {% endcomment %}
                <div class="field is-horizontal px-4">
                 
                    <div class="field-body px-4">
                        <div class="field px-4">
                            <div class="select">
                            {{form.office}}
                            </div> 
                        </div>
                    </div>
                </div>  
                {% comment %} Tipo {% endcomment %}
                <div class="field is-horizontal px-4">
                 
                    <div class="field-body px-4">
                        <div class="field px-4">
                            <div class="select">
                            {{form.tipo}}
                            </div> 
                        </div>
                    </div>
                </div>                  
                {% comment %} Nombre Destinatario {% endcomment %}
                <div class="field is-horizontal px-4">
                 
                    <div class="field-body px-4">
                        <div class="field px-4">
                            {{form.nombre_destinatario}} 
                        </div>
                    </div>
                </div>         
                {% comment %} Telefon Destinatario {% endcomment %}
                <div class="field is-horizontal px-4">
                 
                    <div class="field-body px-4">
                        <div class="field px-4">
                            {{form.telefono_destinatario}} 
                        </div>
                    </div>
                </div>    
                {% comment %} Peso {% endcomment %}
                <div class="field is-horizontal px-4">
                 
                    <div class="field-body px-4">
                        <div class="field px-4">
                            {{form.peso}} 
                        </div>
                    </div>
                </div>  
                {% comment %}Estado{% endcomment %}
                <div class="field is-horizontal px-4">
                 
                    <div class="field-body px-4">
                        <div class="field px-4">
                            <div class="select">
                            {{form.estado}}
                            </div> 
                        </div>
                    </div>
                </div>                                                                              
                <button class="button is-success is-fullwidth is-medium mt-5" type="submit">Agregar
                </button>
            </form>
        </div>
    </aside>
    {% comment %} </div> {% endcomment %}

</div>


{% endblock content %}